Bug 40687 - UCS 3.3 Kernel Update
UCS 3.3 Kernel Update
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Kernel
UCS 3.3
Other Linux
: P5 enhancement (vote)
: UCS 3.3
Assigned To: Stefan Gohmann
Philipp Hahn
:
Depends on:
Blocks: 40697
  Show dependency treegraph
 
Reported: 2016-02-16 21:03 CET by Stefan Gohmann
Modified: 2016-06-07 21:35 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2016-02-16 21:03:38 CET
The kernel should be updated to 3.16 (Debian Jessie Kernel) in UCS 3.3.
Comment 1 Stefan Gohmann univentionstaff 2016-02-22 09:31:07 CET
I've backported the following packages:
repo_admin.py --cherrypick -r 4.0 --releasedest 3.3  -p kernel-wedge
repo_admin.py --cherrypick -r 4.0 --releasedest 3.3  -p gcc-4.7
repo_admin.py --cherrypick -r 4.0 --releasedest 3.3  -p kmod
repo_admin.py --cherrypick -r 4.0 -s errata4.0-4 --releasedest 3.3  -p linux

The kernel build system had some changes which are only available in Python 2.7. Therefore several patches were needed: 20_python_backport.patch (r15935, r15936, r15937, r15938, r15939, r15941).
Comment 2 Stefan Gohmann univentionstaff 2016-02-23 06:55:09 CET
Changelog: r67620

My tests were successful.
Comment 3 Philipp Hahn univentionstaff 2016-02-25 16:30:44 CET
Bug #33924 breaks xen again (Bug #40697).

We need to decide if UCS-3.3 is multi-arch or not, as the current mixture breaks things.
Comment 4 Stefan Gohmann univentionstaff 2016-02-26 07:08:01 CET
(In reply to Philipp Hahn from comment #3)
> Bug #33924 breaks xen again (Bug #40697).
> 
> We need to decide if UCS-3.3 is multi-arch or not, as the current mixture
> breaks things.

We won't support the whole mult-arch stack with UCS 3.3. Maybe it is possible to support both builds since we are building packages with and without multi-arch support.

I created now a simple linux-libc-dev.postinst which links /usr/include/asm to the arch-specific asm include directory. At least the amd64 Xen build was afterwards successful.

Maybe this will break other builds or creates other trouble, but at least in my tests I didn't see any problems. If you have more concerns, please feel free to comment.

r16022, package is building.
Comment 5 Stefan Gohmann univentionstaff 2016-02-26 12:32:14 CET
(In reply to Stefan Gohmann from comment #4)
> 
> r16022, package is building.

Fixed. Xen build on amd64 was successful.
Comment 6 Felix Botner univentionstaff 2016-03-04 09:52:23 CET
univention-kernel-headers: linux-kbuild-3.16 but it is not installable
univention-kernel-source:  linux-source-3.16.0 has no installation candidate

Both packages can not be installed during the dvd build.
Comment 7 Philipp Hahn univentionstaff 2016-03-07 15:40:49 CET
Missing dependency:
blktap-dkms -> dkms -> univention-kernel-headers -> linux-headers-3.16.0-ucs187-amd64 -> linux-kbuild-3.16 (src:linux-tools)

r16092 | Bug #40687 linux-tools: Cherry-pick patch
 Needs backport for OrderedDict missing in python2.6
r16094 | Bug #40687 linux-tools: Fix stdpool compat
 <https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=75e0b5f010837f29b5773653a248852a7317562b>

Package: linux-tools
Version: 3.16-2~ucs3.3.21.201603071448
Branch: ucs_3.3-0

(In reply to Felix Botner from comment #6)
> univention-kernel-headers: linux-kbuild-3.16 but it is not installable
Fixed by above.

> univention-kernel-source:  linux-source-3.16.0 has no installation candidate
Fixed by:

r67963 | Bug #40687 kernel: Fix linux-source-3.16 dependency

Package: univention-kernel-image
Version: 7.100.0-3.94.201603071535
Branch: ucs_3.3-0
Comment 8 Felix Botner univentionstaff 2016-03-07 15:46:03 CET
We need this "3.2-0-0-ucs/3.10.11-1-errata3.2-8/08_config-changes-for-univention-installer.patch" for the installer (ramdisk, scsi and ext2 support)
Comment 9 Stefan Gohmann univentionstaff 2016-03-08 05:55:37 CET
repo_admin.py --cherrypick -r 4.0 --releasedest 3.3 -p libunwind

repo_admin.py --cherrypick -r 4.0 --releasedest 3.3 -p linux-tools(In reply to Felix Botner from comment #8)
> We need this
> "3.2-0-0-ucs/3.10.11-1-errata3.2-8/08_config-changes-for-univention-
> installer.patch" for the installer (ramdisk, scsi and ext2 support)

The patch 22-disable-udeb-generation.patch has been copied as well.

The kernel modules needs to be checked. See #32203 for a list.
Comment 10 Stefan Gohmann univentionstaff 2016-03-12 20:17:25 CET
I've imported open-vm-tools from Debian Jessie.

To build the newer open-vm-tools had had to backport libsigc++-2.0:
  repo_admin.py --cherrypick -r 4.0 --releasedest 3.3 -p libsigc++-2.0

I've created some backport patches for libsigc++-2.0 and for open-vm-tools.

I didn't find more dkms packages in maintained.
Comment 11 Felix Botner univentionstaff 2016-03-14 15:37:42 CET
-> univention-kernel-image-486 : 
 Depends: linux-image-3.16.0-ucs189-486 but it is not installable
                           

There is not -486 kernel in 3.3. Do we need one?
If no, i remove 3.16.0-486 and univention-kernel-image-486, univention-kernel-headers-486 from the DVD build script.
Comment 12 Stefan Gohmann univentionstaff 2016-03-17 10:24:49 CET
(In reply to Felix Botner from comment #11)
> -> univention-kernel-image-486 :
>  Depends: linux-image-3.16.0-ucs189-486 but it is not installable
>
>
> There is not -486 kernel in 3.3. Do we need one?
> If no, i remove 3.16.0-486 and univention-kernel-image-486,
> univention-kernel-headers-486 from the DVD build script.

We've stopped building the 486 kernel with UCS 4.0-3 but we still build the meta package univention-kernel-image-486.

stefan@omar:/var/univention/buildsystem2$ dpkg -I mirror/ftp/4.0/unmaintained/4.0-3/i386/univention-kernel-image-486_8.0.6-7.75.201507171759_i386.deb  | grep ' Depends'
 Depends: linux-image-3.16.0-ucs135-486, univention-initrd (>= 6.0.0-2), xfsprogs, libc6-i686, univention-config
stefan@omar:/var/univention/buildsystem2$ ls mirror/ftp/4.0/*maintained/4.0-3/i386/linux-image-3.16.0-ucs135-486*deb
ls: Zugriff auf mirror/ftp/4.0/*maintained/4.0-3/i386/linux-image-3.16.0-ucs135-486*deb nicht möglich: Datei oder Verzeichnis nicht gefunden
stefan@omar:/var/univention/buildsystem2$ ls mirror/ftp/4.0/*maintained/4.0-3/i386/linux-image-3.16.0-ucs135-586*deb
mirror/ftp/4.0/unmaintained/4.0-3/i386/linux-image-3.16.0-ucs135-586_3.16.7-ckt11-1~bpo70+1.135.201507161851_i386.deb
stefan@omar:/var/univention/buildsystem2$

I've created a new bug for this: Bug #40912. I don't think we need to fix it for UCS 3.3.
Comment 13 Philipp Hahn univentionstaff 2016-04-01 17:30:19 CEST
OK: amd64 @ xen15, xen6
OK: amd64 @ xen
OK: amd64 @ kvm = 3.16.0-ucs189-amd64
OK: i386 @ kvm = 3.16.0-ucs189-686-pae
OK: apt-get install univention-kernel-image
OK: apt-get install blktap-dkms
OK: apt-get install open-vm-tools open-vm-dkms
OK: dmesg
Comment 14 Stefan Gohmann univentionstaff 2016-06-07 21:35:49 CEST
UCS 3.3 has been released:
 https://docs.software-univention.de/release-notes-3.3-0-en.html
 https://docs.software-univention.de/release-notes-3.3-0-de.html

If this error occurs again, please use "Clone This Bug".